跳转到主要内容
GET
/
v1
/
searches
/
{search_id}
获取搜索
curl --request GET \
  --url https://api.olostep.com/v1/searches/{search_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.olostep.com/v1/searches/{search_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.olostep.com/v1/searches/{search_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "object": "<string>",
  "created": 123,
  "metadata": {},
  "query": "<string>",
  "credits_consumed": 123,
  "result": {
    "json_content": "<string>",
    "json_hosted_url": "<string>",
    "links": [
      {
        "url": "<string>",
        "title": "<string>",
        "description": "<string>",
        "markdown_content": "<string>",
        "html_content": "<string>"
      }
    ],
    "size_exceeded": true,
    "credits_consumed": 123
  }
}

授权

Authorization
string
header
必填

Bearer身份验证头的格式为Bearer ,其中是你的认证令牌。

路径参数

search_id
string
必填

要检索的搜索的唯一标识符。

响应

包含搜索对象的成功响应。

id
string
object
string
created
integer
metadata
object
query
string
credits_consumed
integer

原始搜索请求消耗的总积分(5 个基本积分 + 每页抓取积分之和,如果使用了 scrape_options)。

result
object